## kscope-trinity 14.0.9

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( kscope )
set( VERSION R14.0.9 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckIncludeFileCXX    )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings 

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== src/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)

tde_import( kate )

add_custom_command(
    OUTPUT  dotparse.cpp dotparse.hpp
    COMMAND ${BISON_EXECUTABLE}
    ARGS -y --output dotparse.cpp --defines=dotparse.hpp ${CMAKE_CURRENT_SOURCE_DIR}/dotparse.ypp
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/dotparse.ypp
)

add_custom_target(
    dotparse.bison
    DEPENDS
        ${CMAKE_CURRENT_BINARY_DIR}/dotparse.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/dotparse.hpp
)

add_custom_command(
    OUTPUT  dotscan.cc
    COMMAND ${FLEX_EXECUTABLE}
    ARGS ${CMAKE_CURRENT_SOURCE_DIR}/dotscan.lpp
    COMMAND ${CMAKE_COMMAND}
    ARGS -E rename lex.yy.c dotscan.cc
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/dotscan.lpp
)

add_custom_target(
    dotscan.lex
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/dotscan.cc
)

##### kscope (executable)

tde_add_executable( kscope AUTOMOC

  SOURCES
        autocompletionlayout.ui bookmarkslayout.ui
        calltreelayout.ui cscopemsglayout.ui
        fileviewlayout.ui graphpreflayout.ui
        makelayout.ui newprojectlayout.ui
        openprojectlayout.ui prefcolorlayout.ui
        preffontlayout.ui preffrontendlayout.ui
        prefoptlayout.ui projectfileslayout.ui
        queryviewlayout.ui querywidgetlayout.ui
        scanprogresslayout.ui searchresultslayout.ui
        symbollayout.ui welcomedlg.ui
        bookmarksdlg.cpp calltreedlg.cpp
        calltreemanager.cpp configfrontend.cpp
        cscopefrontend.cpp cscopemsgdlg.cpp
        ctagsfrontend.cpp ctagslist.cpp
        dirscanner.cpp dotfrontend.cpp
        editormanager.cpp
        editorpage.cpp editortabs.cpp
        encoder.cpp filelist.cpp
        fileview.cpp frontend.cpp
        graphedge.cpp graphnode.cpp
        graphprefdlg.cpp graphwidget.cpp
        historypage.cpp historyview.cpp
        kscope.cpp kscopeactions.cpp
        kscopeconfig.cpp kscopepixmaps.cpp
        main.cpp makedlg.cpp makefrontend.cpp
        newprojectdlg.cpp openprojectdlg.cpp
        prefcolor.cpp preferencesdlg.cpp
        preffont.cpp preffrontend.cpp
        prefopt.cpp progressdlg.cpp
        project.cpp projectbase.cpp
        projectfilesdlg.cpp projectmanager.cpp
        querypage.cpp querypagebase.cpp
        queryresultsmenu.cpp queryview.cpp
        queryviewdlg.cpp queryviewdriver.cpp
        querywidget.cpp scanprogressdlg.cpp
        searchlist.cpp searchresultsdlg.cpp
        symbolcompletion.cpp symboldlg.cpp
        tabwidget.cpp treewidget.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/dotparse.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/dotscan.cc
  LINK
     tdeui-shared
     tdeio-shared
     tdecore-shared
     tdeparts-shared
     kateinterfaces-shared
     katepartinterfaces-shared

  DESTINATION ${BIN_INSTALL_DIR}
  DEPENDENCIES dotparse.bison dotscan.lex
)


##### icons

tde_install_icons( ${PROJECT_NAME} )


##### other data

tde_create_translated_desktop( ${PROJECT_NAME}.desktop )

install(
    FILES kscopeui.rc kscope_config
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

install(
    FILES file_ro.png file_rw.png file_save.png query_locked.png
          query_unlocked.png tab_list.png call_graph.png called_tree.png
          calling_tree.png bookmark.png
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/pics
)

## kscope-trinity 14.0.6

=== debian/changelog ===
kscope-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:17:21 +0100

kscope-trinity (1.6.2-1ubuntu1) maverick; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 07 Sep 2013 23:43:53 +0200

kscope (1.6.2-1ubuntu1) maverick; urgency=low

  * Port to Ubuntu.

 -- Eugene San (eugenesan) <eugenesan@gmail.com>  Fri, 04 Feb 2011 22:02:59 +0200

kscope (1.6.2-1) unstable; urgency=low

  * New upstream release (bugfix release).
  * Bump Standards-Version to 3.8.0 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sat, 09 Aug 2008 10:20:14 +0200

kscope (1.6.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 3.7.3.
  * Use Homepage, Vcs-Browser and Vcs-Svn fields.
  * Switch to quilt patch system.
  * Remove embedded copy of GFDL as it can be found in common-licences.

 -- Fathi Boudra <fabo@debian.org>  Sat, 01 Mar 2008 19:33:31 +0100

kscope (1.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fboudra@free.fr>  Thu, 12 Jul 2007 21:22:32 +0200

kscope (1.5.2-1) unstable; urgency=low

  * New upstream release. (Closes: #420874)

 -- Fathi Boudra <fboudra@free.fr>  Tue, 15 May 2007 19:47:50 +0200

kscope (1.5.1-2) unstable; urgency=low

  * Upload to unstable

 -- Mark Purcell <msp@debian.org>  Sat,  3 Mar 2007 13:23:12 +0000

kscope (1.5.1-1) experimental; urgency=low

  * New upstream release.

 -- Fathi Boudra <fboudra@free.fr>  Thu, 15 Feb 2007 18:56:31 +0100

kscope (1.5.0-1) unstable; urgency=low

  * New upstream release
  * Add ./debian/rules get-orig-source for http://buildserver.net
  * Build-Depends: autotools-dev fixes outdated-autotools-helper-file

 -- Mark Purcell <msp@debian.org>  Wed,  7 Feb 2007 21:08:10 +0000

kscope (1.4.2-1) unstable; urgency=low

  * New upstream release

 -- Fathi Boudra <fboudra@free.fr>  Mon, 16 Oct 2006 22:03:21 +0200

kscope (1.4.1-2) unstable; urgency=low

  * Add patch to load default config

 -- Fathi Boudra <fboudra@free.fr>  Fri,  8 Sep 2006 18:13:30 +0200

kscope (1.4.1-1) unstable; urgency=low

  * New upstream release
  * Remove 11_crashfix.diff, merged upstream

 -- Fathi Boudra <fboudra@free.fr>  Thu, 24 Aug 2006 12:24:23 +0200

kscope (1.4.0-1) unstable; urgency=low

  * New upstream release
  * Merge kubuntu patches, thanks to Tom Albers <tomalbers@kde.nl>
  * Add kscope manpage from kubuntu package,
    thanks to Jonathan Patrick Davies <jpatrick@ubuntu.com>
  * Update copyright file: add kscope manpage license

 -- Fathi Boudra <fboudra@free.fr>  Thu, 10 Aug 2006 14:42:31 +0200

kscope (1.3.4-1) unstable; urgency=low

  * Initial release (Closes: #309669)

 -- Fathi Boudra <fboudra@free.fr>  Fri, 28 Apr 2006 08:05:15 +0100

=== debian/control ===
Source: kscope-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, automake, libtool, bison, flex,
 tdebase-trinity-dev, docbook2x, docbook-xml
Standards-Version: 3.8.0
Homepage: http://kscope.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kscope/?op=log
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kscope/trunk

Package: kscope-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cscope, exuberant-ctags, graphviz
Description: source editing environment for TDE
 KScope is a TDE front-end to Cscope. It provides a source-editing environment
 for large C projects. KScope is focused on source editing and analysis.
 .
 KScope is built around an efficient mechanism for code-navigation, which
 allows the user to run queries on the code.
 .
 The types of queries KScope can run include:
   * Get all references to a symbol
   * Find the definition of a symbol
   * Find all functions called by or calling to a function
   * Find an EGrep pattern
   * Find all files #including some file
 .
 These queries are handled by an underlying Cscope process. KScope simply
 serves as a front-end to this process, feeding it with queries, and parsing
 its output into result lists. The items in those lists can later be selected
 to open an editor at the matching line.
 .
 Main Features:
  * Multiple editor windows (using your favourite TDE editor)
  * Project management
  * Front-end to most Cscope queries
  * Tag list for every open editor
  * Call-tree window
  * Session management, including saving and restoring queries
  * Works with externally-built cscope.out files
 .
  Homepage: http://kscope.sourceforge.net

=== debian/rules ===
#!/usr/bin/make -f
 
include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	dh_testdir

	# Regenerate build system
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in

	autoreconf --install && automake -f && \
	$(MAKE) -f admin/Makefile.common && \
	touch debian/stamp-bootstrap

build/kscope-trinity::
	/usr/bin/docbook2x-man debian/kscope.xml

binary-install/kscope-trinity::
	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/

clean::
	rm -f kscope.1
	rm -f debian/stamp-bootstrap

=== debian/watch ===
version=3
http://sf.net/kscope/kscope-(.*)\.tar\.gz debian svn-upgrade

## kscope-trinity 14.0.8

=== debian/changelog ===
kscope-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:52:10 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
  
 include /usr/share/cdbs/1/rules/debhelper.mk
-include debian/cdbs/kde.mk
-#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
-include /usr/share/cdbs/1/rules/utils.mk
+include debian/cdbs/debian-tde.mk
 
 DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man

## kscope-trinity 14.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( kscope )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.10 )
 
 
 #### include essential cmake modules

=== doc/en/CMakeLists.txt ===

tde_create_handbook( DESTINATION ${PROJECT_NAME} )

=== debian/changelog ===
kscope-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: kscope-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, automake, libtool, bison, flex,
- tdebase-trinity-dev, docbook2x, docbook-xml
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, bison, flex, tdebase-trinity-dev
 Standards-Version: 3.8.0
 Homepage: http://kscope.sourceforge.net
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kscope/?op=log

## kscope-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( kscope )
-set( VERSION R14.0.10 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -70,8 +70,8 @@
 ##### directories
 
 add_subdirectory( src )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
kscope-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kscope

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 18 Oct 2021 02:54:54 +0200

## kscope-trinity 14.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 #### general package setup
 
 project( kscope )
-set( VERSION R14.0.11 )
+set( VERSION R14.0.12 )
 
 
 #### include essential cmake modules

## kscope-trinity 14.0.13

=== debian/changelog ===
kscope-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kscope

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 23 Sep 2022 04:31:49 +0200

## kscope-trinity 14.1.0

=== debian/changelog ===
kscope-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kscope

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kscope-trinity 14.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
 #### general package setup
 
 project( kscope )
-set( VERSION R14.0.12 )
 
 
 #### include essential cmake modules
@@ -30,8 +29,12 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths

=== debian/changelog ===
kscope-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kscope

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 26 Sep 2023 04:28:13 +0200

## kscope-trinity 14.1.2

=== debian/changelog ===
kscope-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kscope

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:45 +0200

## kscope-trinity 14.1.3

=== debian/changelog ===
kscope-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kscope

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 14:50:04 +0200

## kscope-trinity 14.1.4

=== debian/changelog ===
kscope-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kscope

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## kscope-trinity 14.1.5~pre1

=== debian/changelog ===
kscope-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for a0ca78ea3d96f049aa5ce0703b6a2172c36bba69
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kscope

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kscope-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,11 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 3.1 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
@@ -30,11 +34,6 @@
 #### include our cmake modules
 
 include( TDEMacros )
-
-
-##### set version number ########################
-
-tde_set_project_version( )
 
 
 ##### setup install paths

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -29,17 +29,17 @@
 )
 
 add_custom_command(
-    OUTPUT  dotscan.cc
+    OUTPUT  dotscan.cpp
     COMMAND ${FLEX_EXECUTABLE}
     ARGS ${CMAKE_CURRENT_SOURCE_DIR}/dotscan.lpp
     COMMAND ${CMAKE_COMMAND}
-    ARGS -E rename lex.yy.c dotscan.cc
+    ARGS -E rename lex.yy.c dotscan.cpp
     DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/dotscan.lpp
 )
 
 add_custom_target(
     dotscan.lex
-    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/dotscan.cc
+    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/dotscan.cpp
 )
 
 ##### kscope (executable)
@@ -86,7 +86,7 @@
         symbolcompletion.cpp symboldlg.cpp
         tabwidget.cpp treewidget.cpp
         ${CMAKE_CURRENT_BINARY_DIR}/dotparse.cpp
-        ${CMAKE_CURRENT_BINARY_DIR}/dotscan.cc
+        ${CMAKE_CURRENT_BINARY_DIR}/dotscan.cpp
   LINK
      tdeui-shared
      tdeio-shared

=== debian/changelog ===
kscope-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kscope

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kscope-trinity 14.1.6~pre0

=== debian/changelog ===
kscope-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for a0ca78ea3d96f049aa5ce0703b6a2172c36bba69
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kscope

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kscope-trinity 14.1.6~pre1

=== debian/changelog ===
kscope-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 0c395b61de6e807602d54112a89deb46ed01831a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kscope

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:32:14 +0100

## kscope-trinity 14.2.0~pre23

=== debian/changelog ===
kscope-trinity (4:14.2.0~pre23-0debian13.0.0+6) trixie; urgency=low

  * Automated git build for 7cd0bc84a19ef16e914d63957b2842d416e0ebe5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kscope

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, bison, flex, tdebase-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, bison, flex, tdebase-trinity-dev
 Standards-Version: 3.8.0
 Homepage: http://kscope.sourceforge.net
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kscope/?op=log

## kscope-trinity 14.2.0~pre24

=== debian/changelog ===
kscope-trinity (4:14.2.0~pre24-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for b5c57b962b6d8103ff7118277a8593a70b3c9b82
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kscope

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:52:48 +0100
